//
//  TestWizard_AppDelegate.h
//  TestWizard
//
//  Created by Thaddeus Cooper on 11/10/06.
//  Copyright Thaddeus O. Cooper 2006 . All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TestWizard_AppDelegate : NSObject 
{
    IBOutlet NSWindow *window;
	IBOutlet NSArrayController	*emailAddressArrayController;
	IBOutlet NSArrayController	*smtpServersArrayController;
    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
	
	BOOL	initialized;
}

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;
- (IBAction) saveSelectedDataToPreferences:(id)sender;

@end
